Bug 457199 - RHEL5.3 xen: include support for booting Fedora 10 DomU (i.e. bzImage support)
RHEL5.3 xen: include support for booting Fedora 10 DomU (i.e. bzImage support)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Mark McLoughlin
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 04:18 EDT by Mark McLoughlin
Modified: 2009-12-14 16:11 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:14:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xen-3.1.0-bzimage.patch (6.08 KB, patch)
2008-07-30 04:18 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2008-07-30 04:18:14 EDT
There are two kernel image formats - vmlinuz is just a gzip compressed ELF file,
whereas bzImage is a more complicated format where the gzip compressed ELF image
is part of the payload.

Xen has long used the vmlinuz format. Our other kernels use the bzImage format.

The kernel-xen package is being removed in Fedora 10 and
kernel-PAE.i686/kernel.x86_64 are now the kernels used for booting Xen DomU.

However, these packages ship a bzImage format kernel, and RHEL5 Xen's libxc does
not have support for booting such images.

Support was added to upstream xen in April:

  http://lists.xensource.com/archives/html/xen-devel/2008-04/msg00525.html

And we're including that patch now in F-8, F-9 and F-10.

The patch is fairly simple and self-contained. It hasn't caused any regressions
that we know of yet.
Comment 1 Mark McLoughlin 2008-07-30 04:18:14 EDT
Created attachment 312973 [details]
xen-3.1.0-bzimage.patch
Comment 3 Chris Lalancette 2008-08-14 03:04:41 EDT
I tested this patch out on an i386 box.  Basically, inside the guest I checked out the latest LKML sources and did "make ; make install" (which installs the bzImage).  I then attempted to boot the kernel.  Before this patch, I got "invalid format" when trying to boot.  After this patch, the newly built kernel started to boot (although it crashed and burned later on for other, unrelated reasons).

Chris Lalancette
Comment 4 Mark McLoughlin 2008-08-22 11:39:51 EDT
* Mon Aug 18 2008 Mark McLoughlin <markmc@redhat.com> - 3.0.3-70.el5
- Support booting bzImage xen pv_ops kernels (e.g. Fedora 10) (rhbz #457199)
Comment 15 errata-xmlrpc 2009-01-20 16:14:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0118.html

Note You need to log in before you can comment on or make changes to this bug.